summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick_automake/kdelibs/debian/kdelibs-data-kde3.preinst
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 16:17:43 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 16:17:43 -0500
commit9b2075d9b89fc628c447fbb98f43ef72e4a9c81d (patch)
tree2de9e866f064b1c7d36df24de1df305474f949fe /ubuntu/maverick_automake/kdelibs/debian/kdelibs-data-kde3.preinst
downloadtde-packaging-9b2075d9b89fc628c447fbb98f43ef72e4a9c81d.tar.gz
tde-packaging-9b2075d9b89fc628c447fbb98f43ef72e4a9c81d.zip
Initial import from old SVN repository
Note that only the Debian and Ubuntu folders were preserved
Diffstat (limited to 'ubuntu/maverick_automake/kdelibs/debian/kdelibs-data-kde3.preinst')
-rw-r--r--ubuntu/maverick_automake/kdelibs/debian/kdelibs-data-kde3.preinst38
1 files changed, 38 insertions, 0 deletions
diff --git a/ubuntu/maverick_automake/kdelibs/debian/kdelibs-data-kde3.preinst b/ubuntu/maverick_automake/kdelibs/debian/kdelibs-data-kde3.preinst
new file mode 100644
index 000000000..cbc832186
--- /dev/null
+++ b/ubuntu/maverick_automake/kdelibs/debian/kdelibs-data-kde3.preinst
@@ -0,0 +1,38 @@
+#!/bin/sh -e
+
+FILE="/etc/xdg/menus/applications.menu"
+MD5SUM332="3750f06e08cfd048952f4cd82b97652c"
+MD5SUM340="ea26be9e934fb23c04b0b1409706bace"
+
+case "$1" in
+
+ upgrade)
+ rm -f /etc/kde3/colors/40\ Colors
+ rm -f /etc/kde3/colors/Royal
+ rm -f /etc/kde3/colors/Web
+ rm -f /etc/kde3/ktexteditor_autobookmarkerrc
+ [ -f "$FILE" ] || exit 0
+ MD5SUMOLD=`md5sum $FILE | awk '{print $1}'`
+ if dpkg --compare-versions "$2" lt "4:3.4.0-0pre5"; then
+ if [ "$MD5SUM332" = "$MD5SUMOLD" ] || [ "$MD5SUM340" = "$MD5SUMOLD" ]; then
+ rm -f "$FILE"
+ fi
+ fi
+ ;;
+
+ install)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0